XFCE 4.8 for EPEL 6

Kevin Fenzi kevin at scrye.com
Fri May 20 16:37:06 UTC 2011


On Fri, 20 May 2011 09:35:04 -0600
Orion Poplawski <orion at cora.nwra.com> wrote:

> I've been building the XFCE 4.8 stack for EPEL 6 and I think I have
> the core components done.

Thank you very much for working on this! :) 

Would you like to finish off EPEL5 and push it out too? 
(everything there is 4.6 and is built, but I haven't fixed comps or
pushed things out as an update yet)

anyhow... ;) 

> The F15 comps mandatory and default components are:
> 
> "mandatory">desktop-backgrounds-compat * See below
> "mandatory">Thunar         * Built
> "mandatory">xfce-utils     * Built
> "mandatory">xfce4-panel    * Built
> "mandatory">xfce4-session  * Built
> "mandatory">xfce4-settings * Built
> "mandatory">xfconf         * Built
> "mandatory">xfdesktop      * Built
> "mandatory">xfwm4          * Built
> "conditional" requires="imsettings">imsettings-xfce  * See below
> "conditional" requires="pinentry">pinentry-gtk * Core
> "default">gdm       * Core
> "default">mousepad  * See below
> "default">NetworkManager-gnome  * Core
> "default">openssh-askpass       * Core
> "default">orage           * Built
> "default">polkit-gnome    * Core
> "default">Terminal        * Built
> "default">thunar-archive-plugin * Built
> "default">thunar-volman         * Built
> "default">tumbler               * No branch
> "default">xarchiver             * Built
> "default">xfce4-appfinder       * Built
> "default">xfce4-icon-theme      * See below
> "default">xfce4-mixer           * Built
> "default">xfce4-power-manager   * Built
> "default">xfce4-session-engines * Built
> "default">xfwm4-theme-nodoka    * See below
> 
> I'm assuming we want basically the same structure for el6.  So notes
> follow:
> 
> - EL6 does not appear to have any desktop-backgrounds* packages.
> What to do?

Just ignore it and use default I guess. 
Unless we want to branch/make one... which I think would be a lot of
effort. 

> - EL6 does not appear to have imsettings-xfce.  What to do?

Drop it for now.

> - Do we really still want xfce4-icon-theme?  It is at version 4.4.3
> and nothing appears to require it.  For the el6 packages, I've
> patched it to use gnome-icon-theme.

It's got some other themes, might be usefull for some folks. I would
build/ship it, but not make it required by anything. 

> - Not yet branched for el6: mousepad, tumbler, xfwm4-theme-nodoka.
> I'm going to put in branch requests.
> 
> Once I have mousepad, tumbler, and xfwm4-theme-nodoka built I'm going
> to put together an update of the above packages.

excellent. (except mousepad, but we already talked about how thats not
a good plan). ;) 

> I'm going to leave it to others to build the various "optional"
> xfce-desktop packages.

thanks, 

kevin
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: not available
Url : http://lists.fedoraproject.org/pipermail/xfce/attachments/20110520/a4bfc605/attachment.bin 


More information about the xfce mailing list